%define name x2goserver
%define version 2.0.1
%define release %mkrel 2

Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Networking/Remote access
Summary: x2go tools for session administrations (scripts).
Url: http://x2go.berlios.de/index-en.html
Source: %{name}_%version.orig.tar.gz
Source1: sql
Source2: x2goserver.init
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

Patch0: x2goserver_2.0.1-19.diff.gz

PreReq: initscripts dpkg
Requires: postgresql-server openssh-server sudo lsof bash coreutils libxcomp3 libxcompext3 nxproxy nxagent libnxX11_0 
Requires: nxssh x11-font-misc-misc
BuildArch: noarch

%description
  x2go is a "server based computing environment" 
  combining the advantages of different existing solutions.
  This package contains the main daemon and tools for
  session administrations (scripts).

%prep
%setup -n %name-%version.orig
%patch0 -p1

%install
rm -rf %{buildroot}
install -D x2gocleansessions %buildroot/%_sbindir/x2gocleansessions
install -D x2gocreatebase.sh %buildroot/%_libexecdir/x2go/script/x2gocreatebase.sh
install -D x2gogetservers %buildroot/%_bindir/x2gogetservers
install -D x2golistsessions %buildroot/%_bindir/x2golistsessions
install -D x2golistsessions_root %buildroot/%_bindir/x2golistsessions_root
install -D x2golistsessions_sql %buildroot/%_bindir/x2golistsessions_sql
install -D x2gomountdirs %buildroot/%_bindir/x2gomountdirs
install -Dm='u=rwx,go=rx,a+st' x2gopgwrapper %buildroot/%_bindir/x2gopgwrapper
install -Dm='u=rwx,go=rx,a+st' x2gopgwrapper_local %buildroot/%_bindir/x2gopgwrapper_local
install -Dm='u=rwx,go=rx,a+st' x2gopgwrapper_net %buildroot/%_bindir/x2gopgwrapper_net
install -D x2goresume-session %buildroot/%_bindir/x2goresume-session
install -D x2goruncommand %buildroot/%_bindir/x2goruncommand
install -D x2goshowblocks %buildroot/%_bindir/x2goshowblocks
install -D x2gostartagent %buildroot/%_bindir/x2gostartagent
install -D x2gosuspend-session %buildroot/%_bindir/x2gosuspend-session
install -D x2goterminate %buildroot/%_bindir/x2goterminate
install -D x2goterminate-session %buildroot/%_bindir/x2goterminate-session
install -D x2goumount %buildroot/%_bindir/x2goumount
install -D x2goumount_session %buildroot/%_bindir/x2goumount_session

install -Dm 0644 %SOURCE1 %buildroot/%_sysconfdir/x2go/sql
install -D %SOURCE2 %buildroot/%_sysconfdir/init.d/x2goserver

ln -s nxagent %buildroot/%_bindir/x2goagent
ln -s nxagent %buildroot/%_libexecdir/x2goagent

%clean
rm -rf %{buildroot}

%post
groupadd -f -r x2go-users

%postun 
groupdel x2go-users

%files
%_sbindir/x2gocleansessions
%_libexecdir/x2go/script/x2gocreatebase.sh
%_bindir/*
%_sysconfdir/x2go/*
%dir %_sysconfdir/x2go/
%_sysconfdir/init.d/x2goserver
%_libexecdir/x2goagent

%changelog
* Wed Feb 04 2009 Oliver Burger <rpm@mandrivauser.de> 2.0.1-2mud2009.0
- new patch-level 2.0.1-19

* Mon Dec 08 2008 Oliver Burger <rpm@mandrivauser.de> 2.0.1-1mud2009.0
- Rebuild for 2009.0

* Fri Jul 18 2008 Oliver Burger <rpm@mandrivauser.de> 2.0.1-2mud2008.1
- Rebuild with lenny-packages

* Thu Jul 17 2008 Oliver Burger <rpm@mandrivauser.de> 2.0.1-1mud2008.1
- Rebuild for Mandrivalinux
- based upon ALT-package
- init-Script taken from original deb-package

* Mon Jul 14 2008 Mikhail Efremov <sem@altlinux.org> 2.0.1-alt3
- spec cleanup

* Wed Jun 25 2008 Mikhail Efremov <sem@altlinux.org> 2.0.1-alt2
- Debian patches are added

* Wed Jun 04 2008 Mikhail Efremov <sem@altlinux.org> 2.0.1-alt1
- initial build

